import { FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { ValidationError, ValidatorOptions } from 'class-validator';
import 'reflect-metadata';
import { ClassType } from 'class-transformer/ClassTransformer';
export declare class DynamicFormGroup<TModel> extends FormGroup {
    factoryModel: ClassType<TModel>;
    fields: {
        [key: string]: any;
    };
    customValidateErrors: BehaviorSubject<any>;
    private _object;
    constructor(factoryModel: ClassType<TModel>, fields: {
        [key: string]: any;
    });
    static getClassValidators<TModel>(factoryModel: ClassType<TModel>, fields: {
        [key: string]: any;
    }, targetSchema?: string, groups?: string[]): {};
    private onlyFields(fields);
    object: TModel;
    private transformValidationErrors(errors);
    classToClass<TClassModel>(object: TClassModel): TClassModel;
    plainToClass<TClassModel, Object>(cls: ClassType<TClassModel>, plain: Object): TClassModel;
    validate(otherErrors?: ValidationError[], validatorOptions?: ValidatorOptions): void;
    validateAllFormFields(): void;
}
